Bug 1561061 (CVE-2018-1096) - CVE-2018-1096 foreman: SQL injection due to improper handling of the widget id parameter
Summary: CVE-2018-1096 foreman: SQL injection due to improper handling of the widget i...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1096
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180328,repor...
Depends On: 1564229
Blocks: 1561062
TreeView+ depends on / blocked
 
Reported: 2018-03-27 14:38 UTC by Andrej Nemec
Modified: 2019-06-11 11:13 UTC (History)
10 users (show)

Fixed In Version: foreman 1.16.1
Doc Type: If docs needed, set a value
Doc Text:
An input sanitization flaw was found in the id field of the dashboard controller. A user could use this flaw to perform a SQL injection attack on the back-end database.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:18:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:22:07 UTC

Description Andrej Nemec 2018-03-27 14:38:05 UTC
It was found that an authenticated user can leverage the SELECT query condition to extract information regarding existence of various values in the database.

Upstream bug:

http://projects.theforeman.org/issues/23028

Comment 1 Andrej Nemec 2018-03-27 14:38:12 UTC
Acknowledgments:

Name: Martin Povolny (Red Hat)

Comment 3 Sam Fowler 2018-03-29 03:56:23 UTC
Upstream Patch: 

https://github.com/theforeman/foreman/pull/5363

Comment 6 errata-xmlrpc 2018-10-16 15:21:52 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.4 for RHEL 7

Via RHSA-2018:2927 https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.